View Issue Details

IDProjectCategoryView StatusLast Update
0001262SOGoSOPEpublic2011-06-16 11:49
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.6 
Target Version1.3.8Fixed in Version1.3.8 
Summary0001262: fix header inclusion in UnixSignalHandler.h
Description

Compiling SOPE on OpenBSD produces the warning about an implicit function declaration of kill when compiling WOWatchDogApplicationMain.m

checking the headers that get included, I found the inclusion of <sys/signal.h> in UnixSignalHandler.h is wrong. On OpenBSD only <signal.h> should be included, and also in the manual page of kill(2) on Linux it says to include <signal.h> after <sys/types.h>, but nothing about including <sys/signal.h>.
signal.h actually includes sys/signal.h anyways.

Additional Information

attached patch includes <sys/types.h> and <signal.h> instead of <sys/signal.h>.

TagsNo tags attached.

Activities

2011-04-13 03:54

 

patch-sope-appserver_NGObjWeb_UnixSignalHandler_h (354 bytes)   
$OpenBSD$
--- sope-appserver/NGObjWeb/UnixSignalHandler.h.orig	Wed Apr 13 09:19:56 2011
+++ sope-appserver/NGObjWeb/UnixSignalHandler.h	Wed Apr 13 09:20:32 2011
@@ -37,7 +37,8 @@
 #if defined(__MINGW32__)
 #  include <signal.h>
 #else
-#  include <sys/signal.h>
+#  include <sys/types.h>
+#  include <signal.h>
 #endif
 #import <Foundation/NSObject.h>
 
ludovic

ludovic

2011-06-16 11:49

administrator   ~0002594

Patch pushed: http://mtn.inverse.ca/revision/diff/c209a0a647b14e436b77bc38e0b7b04cc2213d0d/with/6a31d2853009c2655df905811252120fe1564f8e

Issue History

Date Modified Username Field Change
2011-04-13 03:54 buzzdee New Issue
2011-04-13 03:54 buzzdee File Added: patch-sope-appserver_NGObjWeb_UnixSignalHandler_h
2011-06-15 16:56 ludovic Status new => assigned
2011-06-15 16:56 ludovic Assigned To => ludovic
2011-06-15 16:57 ludovic Target Version => 1.3.8
2011-06-16 11:49 ludovic Note Added: 0002594
2011-06-16 11:49 ludovic Status assigned => resolved
2011-06-16 11:49 ludovic Fixed in Version => 1.3.8
2011-06-16 11:49 ludovic Resolution open => fixed